*+
*+
*+    Source Module => MHS_SEND.PRG
*+
*+    Functions: Function MHS_SND()
*+
*+    Reformatted by Click! 1.08 on Jun-21-1997 at 10:30 pm
*+
*+

/*
From: rad@ifu.Rantzau.de (Torsten Radtke)
Newsgroups: comp.lang.clipper
Subject: Re: email in clipper

gardnem1@miavx1.muohio.edu says...

> I am at a university where we keep a database on student's and the
> tutor's they request from the Office of Learning Assitance.  When a
> student comes in the paperwork that they fill out is entered in the
> computer and then once a tutor and a time has been selected a printout
> of that information is sent with the student and another copy of that
> info is placed in the tutor's mailbox.  It seems to me that it would be
> a lot easier if that information could just be sent over email instead.
> It would save the tutor's from having to come in everyday to check
> their mailbox.  Does anyone know how to send an email message in
> clipper or where even I should begin?

If you have MHS, here's an example:
*/

*+
*+
*+    Function MHS_SND()
*+
*+
*+
function MHS_SND( cMHSAddress, cSubject, cBuffer, cAttachmentFile )

local cSMFFile
local cParcelFile   // Name of attachment (MHS)
local nSMFHandle
local lAttach := !empty( cAttachmentFile )
local lSafety
local cLF   := chr( 10 )
local cCR   := chr( 13 )
local cCRLF := cCR + cLF
local cMV
local nRetVal       := 1
local nBytesWritten := 0
local nBytesToWrite := 0

cMV   := gete( "MV" )                   // must be set! Path to MasterVolume,
                                        // where the MHS structure resides.

cMV        += iif( right( cMV, 1 ) == "\", "", "\" )
cSMFFile   := tempfile( cMV + "MHS\MAIL\SND", "TMP" )
nSMFHandle := fopen( cSMFFile, 1 )

if lAttach
   cParcelFile := tempfile( cMV + "MHS\MAIL\PARCEL" )
   lSafety     := CSetSafety( .F. )     // berschreiben erlauben.
   FileCopy( cAttachmentFile, cParcelFile )
   cParcelFile := substr( cParcelFile, rat( "\", cParcelFile ) + 1 )
   cParcelFile := left( cParcelFile, 8 )
   CSetSafety( lSafety )
endif

nBytesToWrite := len( "SMF-71" + cLF + "Sender: AUTOMAIL@ORGANIZATION" + cLF + ;
                      "240Send-to: " + cMHSAddress + cLF + ;
                      "200MCB-options: NNYNANA" + cLF + ;
                      "200MCB-type: 0" + cLF + "200Hop-count: 1" + cLF + ;
                      "200Error-report: 0" + cLF + "200SMF-version: 71" + cLF + ;
                      "240From: AUTOMAIL@ORGANIZATION" + cLF + ;
                      "240To: " + cMHSAddress + cLF + ;
                      "200Importance: Normal" + cLF + "Subject: " + cSubject + ;
                      iif( lAttach, cLF + "Attachment: " + cParcelFile + ;
                      cLF + "Attachment-name: ABRAKADA.BRA", "" ) + ;
                      cCRLF + cCRLF + cBuffer )

nBytesWritten := fwrite( nSMFHandle, "SMF-71" + cLF + ;
                         "Sender: AUTOMAIL@ORGANIZATION" + cLF + ;
                         "240Send-to: " + cMHSAddress + cLF + ;
                         "200MCB-options: NNYNANA" + cLF + ;
                         "200MCB-type: 0" + cLF + ;
                         "200Hop-count: 1" + cLF + ;
                         "200Error-report: 0" + cLF + ;
                         "200SMF-version: 71" + cLF + ;
                         "240From: AUTOMAIL@ORGANIZATION" + cLF + ;
                         "240To: " + cMHSAddress + cLF + ;
                         "200Importance: Normal" + cLF + ;
                         "Subject: " + cSubject + ;
                         iif( lAttach, cLF + cParcelFile + ;
                         cLF + "Attachment-" + ;
                         "name:" + "ABRAKADA.BRA", "" ) + ;
                         cCRLF + ;
                         cCRLF + ;
                         cBuffer )

fclose( nSMFHandle )

if nBytesWritten >= nBytesToWrite
   nRetVal := 0
endif

if frename( cSMFFile, left( cSMFFile, len( cSMFFile ) - 4 ) ) != 0
   nRetVal := 2
endif

return ( nRetVal )

/*
Best regards
Torsten Radtke

-- 
 IFU GmbH & Co.   | Tel./Fax: +(49)40 380 16-396 / -663
 Torsten Radtke   | X400    : c=GB;a=CWMAIL;p=DAL;o=IFU;s=RAD
 Palmaille 45     | CIS     : 100113,717
 22767 Hamburg    | ccMail  : RAD at IFU
 Germany          | IN      : RAD@IFU.RANTZAU.DE
*/

*+ EOF: MHS_SEND.PRG
